Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::action::remove_fn Struct Reference

## Public Member Functions
template<typename Rng , typename V , typename P = identity>
auto | operator() (Rng &&rng, V const &value, P proj={}) const -> Rng requires forward_range< Rng > &&permutable< iterator_t< Rng >> &&erasable_range< Rng, iterator_t< Rng >, sentinel_t< Rng >> &&indirect_relation< equal_to, projected< iterator_t< Rng >, P >, V const * >